using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Itrycn_Project2
{
    public partial class FrmSetting : Form
    {
        public FrmSetting()
        {
            InitializeComponent();
        }

        private void FrmSetting_Resize(object sender, EventArgs e)
        {
            tabControl1.Refresh();
        }

        private void BtnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }

        private void BtnOK_Click(object sender, EventArgs e)
        {
            mySetting.Save();
            ryCommon.RyRegedit.RegRoot = Microsoft.Win32.RegistryHive.CurrentUser;
            ryCommon.RyRegedit.SetAutoRun(ChkAutoRun.Checked, Itrycn_Info.Soft_Id, "\"" + Application.ExecutablePath + "\" "+ Itrycn_Info.Soft_Pram);
            DialogResult = DialogResult.OK;
        }
        ryControls.RySetting mySetting = new ryControls.RySetting();
        private void FrmSetting_Load(object sender, EventArgs e)
        {
            mySetting.FilePath = Itrycn_Info.UserDataFolder + "\\Setting.xml";
            mySetting.Add("AutoLogin", chkAutoLogin,false);
            mySetting.Read();
            ryCommon.RyRegedit.RegRoot = Microsoft.Win32.RegistryHive.CurrentUser;
            ChkAutoRun.Checked = ryCommon.RyRegedit.IsAutoRun(Itrycn_Info.Soft_Id, "\"" + Application.ExecutablePath + "\" "+ Itrycn_Info.Soft_Pram);
        }
    }
}
